'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('./utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Created by timur on 3/10/17.
 */

var Grid = function Grid(_ref) {
  var children = _ref.children;


  // Rows are the immediate children of the grid
  var rows = (0, _utils.itemToArray)(children);

  var grid = rows.map(function (row, y) {

    var cols = (0, _utils.itemToArray)(row.props.children);

    return _react2.default.createElement(
      'div',
      {
        key: y,
        className: 'row'
      },
      cols.map(function (col, x) {
        return _react2.default.createElement(
          'div',
          {
            key: x,
            className: col.props.type
          },
          col.props.children
        );
      })
    );
  });
  // Columns are grandchildren of the grid


  return _react2.default.createElement(
    'div',
    null,
    grid
  );
};

exports.default = Grid;